Bug 6644 - Samba 3 SMB2 server does not recognize DFS paths but claims DFS support
Samba 3 SMB2 server does not recognize DFS paths but claims DFS support
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: SMB2
unspecified
All Linux
: P3 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-18 17:10 UTC by Steve French
Modified: 2011-09-09 21:11 UTC (History)
0 users

See Also:


Attachments
trace showing failing open of file to samba 3 (see frame 30 e.g.) (5.18 KB, application/octet-stream)
2009-08-18 17:14 UTC, Steve French
no flags Details
trace showing failing open of file to samba 3 (see frame 30 e.g.) (5.18 KB, application/octet-stream)
2009-08-18 17:19 UTC, Steve French
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve French 2009-08-18 17:10:43 UTC
Samba 3 SMB2 server returns share flags of SHI1005_FLAGS_DFS and capability of SMB2_SHARE_CAP_DFS but fails on DFS paths (ie smb2 create of \directoryname\filename works but smb2 create of \server\share\directoryname\filename or even \\server\share\directoryname\filename fails).
Comment 1 Steve French 2009-08-18 17:14:09 UTC
Created attachment 4570 [details]
trace showing failing open of file to samba 3 (see frame 30 e.g.)

client is Linux kernel smb2 client.  works fine if dfs flag is off and \server\share prefix is stripped off the path on the wire.   Windows smb2 client to Samba 3 works because it attempts an SMB2 ioctl (for dfs get referral) which fails with an unrecognized error which causes them to turn off DFS support despite the flags)
Comment 2 Steve French 2009-08-18 17:19:54 UTC
Created attachment 4571 [details]
trace showing failing open of file to samba 3 (see frame 30 e.g.)

client is Linux kernel smb2 client.  works fine if dfs flag is off and \server\share prefix is stripped off the path on the wire.   Windows smb2 client to Samba 3 works because it attempts an SMB2 ioctl (for dfs get referral) which fails with an unrecognized error which causes them to turn off DFS support despite the flags)
Comment 3 Stefan Metzmacher 2009-08-20 03:30:17 UTC
Hi Steve,

I need a capture of a cifsfs client against a windows server with dfs support,
better a torture test that I can run myself.

BTW: the filename in SMB2 Create should not be terminated. (see frame 29)

metze
Comment 4 Karolin Seeger 2010-06-11 04:18:01 UTC
Change component
Comment 5 Stefan Metzmacher 2011-09-09 21:11:35 UTC
Should be fixed for a long time with commit 82484461e3f8f9bba351bbb5f5178c6f17dd049d